Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider
Class MoveScope

    java.lang.Object
      org.drools.planner.core.localsearch.decider.MoveScope

    public class MoveScope

extends Object

Constructor Summary
`MoveScope(LocalSearchStepScope localSearchStepScope)`

Method Summary
`double` | `getAcceptChance()`
`LocalSearchStepScope` | `getLocalSearchStepScope()`
`Move` | `getMove()`
`Score` | `getScore()`
`Move` | `getUndoMove()`
`org.drools.WorkingMemory` | `getWorkingMemory()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`void` | `setAcceptChance(double acceptChance)`
`void` | `setMove(Move move)`
`void` | `setScore(Score score)`
`void` | `setUndoMove(Move undoMove)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveScope

    public MoveScope(LocalSearchStepScope localSearchStepScope)

Method Detail

### getLocalSearchStepScope

    public LocalSearchStepScope getLocalSearchStepScope()

### getMove

    public Move getMove()

### setMove

    public void setMove(Move move)

### getUndoMove

    public Move getUndoMove()

### setUndoMove

    public void setUndoMove(Move undoMove)

### getAcceptChance

    public double getAcceptChance()

### setAcceptChance

    public void setAcceptChance(double acceptChance)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingMemory

    public org.drools.WorkingMemory getWorkingMemory()

### getWorkingRandom

    public Random getWorkingRandom()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.